package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个人页模板对象 t_template_page
 *
 * @author ruoyi
 * @date 2020-09-01
 */
public class TTemplatePage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String title;

    /** 模板内容 富文本s */
    @Excel(name = "模板内容 富文本s")
    private String content;

    /** 模板路由 */
    @Excel(name = "模板路由")
    private String route;

    /** 客户姓名 */
    @Excel(name = "客户姓名")
    private String customer;

    /** 干系人姓名 */
    @Excel(name = "干系人姓名")
    private String stakeholder;

    /** 干系人生日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "干系人生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date stakeholderBirthday;

    /** 启用  0正常，1停用 */
    @Excel(name = "启用  0正常，1停用")
    private String enable;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setRoute(String route)
    {
        this.route = route;
    }

    public String getRoute()
    {
        return route;
    }
    public void setCustomer(String customer)
    {
        this.customer = customer;
    }

    public String getCustomer()
    {
        return customer;
    }
    public void setStakeholder(String stakeholder)
    {
        this.stakeholder = stakeholder;
    }

    public String getStakeholder()
    {
        return stakeholder;
    }
    public void setStakeholderBirthday(Date stakeholderBirthday)
    {
        this.stakeholderBirthday = stakeholderBirthday;
    }

    public Date getStakeholderBirthday()
    {
        return stakeholderBirthday;
    }
    public void setEnable(String enable)
    {
        this.enable = enable;
    }

    public String getEnable()
    {
        return enable;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("title", getTitle())
                .append("content", getContent())
                .append("route", getRoute())
                .append("customer", getCustomer())
                .append("stakeholder", getStakeholder())
                .append("stakeholderBirthday", getStakeholderBirthday())
                .append("enable", getEnable())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
