/*
 Navicat Premium Data Transfer

 Source Server         : local
 Source Server Type    : MariaDB
 Source Server Version : 100209
 Source Host           : localhost:3306
 Source Schema         : ruoyi

 Target Server Type    : MariaDB
 Target Server Version : 100209
 File Encoding         : 65001

 Date: 02/09/2020 02:54:56
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_template_page
-- ----------------------------
DROP TABLE IF EXISTS `t_template_page`;
CREATE TABLE `t_template_page`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `title` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '模板名称',
  `content` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '模板内容 富文本s',
  `route` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '模板路由',
  `customer` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '客户姓名',
  `stakeholder` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '干系人姓名',
  `stakeholder_birthday` datetime(0) NULL DEFAULT NULL COMMENT '干系人生日',
  `enable` int(1) NULL DEFAULT NULL COMMENT '启用  0正常，1停用',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '个人页模板' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of t_template_page
-- ----------------------------
INSERT INTO `t_template_page` VALUES (2, '121212', '<p><strong style=\"color: rgb(230, 0, 0);\">121212121212</strong></p>', NULL, '1212', '12121', '2020-08-03 00:00:00', 0, '', '2020-08-30 23:44:07', 'admin', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
